from django.conf.urls import patterns, url

from .views import ProjectsListView, ProjectDetailView, ProjectCreateView, ProjectUpdateView
from .models import Project

urlpatterns = patterns('',

                       url(regex=r'^$',
                           view=ProjectsListView.as_view(),
                           name=Project.overview_url),

                       url(regex=r'^(?P<pk>\d+)/$',
                           view=ProjectDetailView.as_view(),
                           name=Project.detail_url),

                       url(regex=r'^create/$',
                           view=ProjectCreateView.as_view(),
                           name=Project.create_url),

                       url(regex=r'^update/(?P<pk>\d+)/$',
                           view=ProjectUpdateView.as_view(),
                           name=Project.update_url),
)


